## python-json-patch 0.12

=== requirements.txt ===
jsonpointer>=0.6

=== debian/changelog ===
python-json-patch (0.12-1ubuntu2~cloud0) precise-grizzly; urgency=low

  * New package for the Ubuntu Cloud Archive to support new version
    requirements in python-warlock.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2013 10:27:15 +0000

python-json-patch (0.12-1ubuntu2) raring; urgency=low

  * debian/control, debian/rules: Dropped openstack-pkg-tools, 
    not needed. 
  * debian/rules: Enable testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Mar 2013 13:56:45 -0600

python-json-patch (0.12-1ubuntu1) raring; urgency=low

  * debian/control:
    - Build-depend on python-json-pointer (pulled from Debian git)
      to prevent generated dependency on non-existant package 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Mar 2013 14:33:33 -0500

python-json-patch (0.12-1) experimental; urgency=low

  * Initial release (Closes: #699508).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: python-json-patch
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~), python-json-pointer
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-patch.git
Vcs-Git: git://anonscm.debian.org/openstack/python-json-patch.git
Homepage: https://github.com/stefankoegl/python-json-patch

Package: python-json-patch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}, python-json-pointer
Description: library to apply JSON patches
 Python-json-patch is a Python module (a library) to apply JSON Patches
 according to the IETF draft specification.
 .
 From the IETF site:
 .
 JavaScript Object Notation (JSON) [RFC4627] is a common format for the
 exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
 Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
 modifications to resources.
 .
 JSON Patch is a format (identified by the media type "application/
 json-patch") for expressing a sequence of operations to apply to a target JSON
 document, suitable for use with the HTTP PATCH method.
 .
 This format is also potentially useful in other cases when it's necessary to
 make partial updates to a JSON document.

## python-json-patch 1.0

=== debian/changelog ===
python-json-patch (1.0-2~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Aug 2013 11:43:36 -0400

python-json-patch (1.0-2) unstable; urgency=low

  * Ran wrap-and-sort.
  * Adds python3 support.
  * Adds patch to fix unit tests for python3.
  * Adds README.md in docs.
  * Cleans correctly (can build twice the package).
  * Standards-Version: 3.9.4

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2013 11:25:29 +0800

python-json-patch (1.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 07:06:15 +0000

python-json-patch (0.12-2) experimental; urgency=low

  * Now running the unit tests, thanks to Michael Terry <mterry@ubuntu.com>
    for the patch (Closes: #702443).

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Mar 2013 00:03:11 +0800

=== debian/control ===
Source: python-json-patch
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-json-pointer,
               python-setuptools,
               python3-all (>= 3.1.2-7~),
               python3-json-pointer,
               python3-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-patch.git
Vcs-Git: git://anonscm.debian.org/openstack/python-json-patch.git
Homepage: https://github.com/stefankoegl/python-json-patch

Package: python-json-patch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-json-pointer, ${misc:Depends}, ${python:Depends}
Description: library to apply JSON patches - python 2.x
 Python-json-patch is a Python module (a library) to apply JSON Patches
 according to the IETF draft specification.
 .
 From the IETF site:
 .
 JavaScript Object Notation (JSON) [RFC4627] is a common format for the
 exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
 Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
 modifications to resources.
 .
 JSON Patch is a format (identified by the media type "application/
 json-patch") for expressing a sequence of operations to apply to a target JSON
 document, suitable for use with the HTTP PATCH method.
 .
 This format is also potentially useful in other cases when it's necessary to
 make partial updates to a JSON document.
 .
 This package provides the Python 2.x module.

Package: python3-json-patch
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-json-pointer, ${misc:Depends}, ${python3:Depends}
Description: library to apply JSON patches - python 3.x
 Python-json-patch is a Python module (a library) to apply JSON Patches
 according to the IETF draft specification.
 .
 From the IETF site:
 .
 JavaScript Object Notation (JSON) [RFC4627] is a common format for the
 exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
 Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
 modifications to resources.
 .
 JSON Patch is a format (identified by the media type "application/
 json-patch") for expressing a sequence of operations to apply to a target JSON
 document, suitable for use with the HTTP PATCH method.
 .
 This format is also potentially useful in other cases when it's necessary to
 make partial updates to a JSON document.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stefankoegl/python-json-patch.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_test:
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR) python$$pyvers ./tests.py ; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-json-patch; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-json-patch; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## python-json-patch 1.3

=== requirements.txt ===
jsonpointer>=1.0

=== debian/changelog ===
python-json-patch (1.3-4) unstable; urgency=medium

  * Fixes Breaks / Replaces so that it works with backports too.
    (Closes: #732365).
  * Sets Section: oldlibs & Priority: extra for the transition package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Dec 2013 23:38:04 +0800

python-json-patch (1.3-3) unstable; urgency=low

  * Renames binary packages as python-jsonpatch and python3-jsonpatch, to match
    the PKG-INFO / egg-info and comply to the Python policy. (Closes: #717916).
  * VCS URLs back to the one of Alioth.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2013 22:25:33 +0800

python-json-patch (1.3-2) unstable; urgency=low

  * Updated VCS field to git.gplhost.com.
  * Renames jsondiff and jsonpatch as python{2,3}-json{diff,patch} and use
    update-alternatives to avoid clashes, also removes json{diff,patch} from
    /usr/bin if it's not a symlink to allow upgrades from previous version
    1.3-1 (Closes: #729025).

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Nov 2013 20:19:37 +0800

python-json-patch (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Nov 2013 16:21:21 +0800

python-json-patch (1.1-1) unstable; urgency=low

  * New upstream release.
  * Removes python3 unit test patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 12:04:57 +0800

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,11 @@
 Vcs-Git: git://anonscm.debian.org/openstack/python-json-patch.git
 Homepage: https://github.com/stefankoegl/python-json-patch
 
-Package: python-json-patch
+Package: python-jsonpatch
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
+Breaks: python-json-patch (<< 1.3-3~)
+Replaces: python-json-patch (<< 1.3-3~)
 Depends: python-json-pointer, ${misc:Depends}, ${python:Depends}
 Description: library to apply JSON patches - python 2.x
  Python-json-patch is a Python module (a library) to apply JSON Patches
@@ -42,10 +44,13 @@
  .
  This package provides the Python 2.x module.
 
-Package: python3-json-patch
+Package: python3-jsonpatch
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
+Breaks: python3-json-patch (<< 1.3-3~)
+Replaces: python3-json-patch (<< 1.3-3~)
 Depends: python3-json-pointer, ${misc:Depends}, ${python3:Depends}
+Recommends: ${python3:Recommends}
 Description: library to apply JSON patches - python 3.x
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.
@@ -65,3 +70,55 @@
  make partial updates to a JSON document.
  .
  This package provides the Python 3.x module.
+
+Package: python-json-patch
+Section: oldlibs
+Priority: extra
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: python-jsonpatch, ${misc:Depends}
+Description: library to apply JSON patches - python 2.x transitional package
+ Python-json-patch is a Python module (a library) to apply JSON Patches
+ according to the IETF draft specification.
+ .
+ From the IETF site:
+ .
+ JavaScript Object Notation (JSON) [RFC4627] is a common format for the
+ exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
+ Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
+ modifications to resources.
+ .
+ JSON Patch is a format (identified by the media type "application/
+ json-patch") for expressing a sequence of operations to apply to a target JSON
+ document, suitable for use with the HTTP PATCH method.
+ .
+ This format is also potentially useful in other cases when it's necessary to
+ make partial updates to a JSON document.
+ .
+ This package is a transitional package to python-jsonpatch.
+
+Package: python3-json-patch
+Section: oldlibs
+Priority: extra
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: python3-jsonpatch, ${misc:Depends}
+Description: library to apply JSON patches - python 3.x transitional package
+ Python-json-patch is a Python module (a library) to apply JSON Patches
+ according to the IETF draft specification.
+ .
+ From the IETF site:
+ .
+ JavaScript Object Notation (JSON) [RFC4627] is a common format for the
+ exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
+ Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
+ modifications to resources.
+ .
+ JSON Patch is a format (identified by the media type "application/
+ json-patch") for expressing a sequence of operations to apply to a target JSON
+ document, suitable for use with the HTTP PATCH method.
+ .
+ This format is also potentially useful in other cases when it's necessary to
+ make partial updates to a JSON document.
+ .
+ This package is a transitional package to python3-jsonpatch.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,16 @@
 override_dh_auto_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-json-patch; \
+			--root $(CURDIR)/debian/python-jsonpatch; \
 	done
 	set -e && for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-json-patch; \
+			--root $(CURDIR)/debian/python3-jsonpatch; \
 	done
+	mv $(CURDIR)/debian/python-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python-jsonpatch/usr/bin/python2-jsondiff
+	mv $(CURDIR)/debian/python-jsonpatch/usr/bin/jsonpatch $(CURDIR)/debian/python-jsonpatch/usr/bin/python2-jsonpatch
+	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python3-jsonpatch/usr/bin/python3-jsondiff
+	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsonpatch $(CURDIR)/debian/python3-jsonpatch/usr/bin/python3-jsonpatch
 
 override_dh_auto_clean:
 	dh_auto_clean

## python-json-patch 1.19

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-json-patch.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-json-patch.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-json-patch"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-json-patch"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-json-patch (1.19-4) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:40:10 +0100

python-json-patch (1.19-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.
  * python -> Python in short desc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:35:56 +0000

python-json-patch (1.19-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:53:15 +0000

python-json-patch (1.19-1) experimental; urgency=medium

  * New upstream release.
  * Removed utf8 in setup.py patch now useless.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2015 10:27:42 +0200

python-json-patch (1.3-5) unstable; urgency=medium

  * Rebuilt so that python3-jsonpatch doesn't depend on Python 3.3.
    (Closes: #751645).

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Jun 2014 16:11:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
-               python-json-pointer,
+               python-all,
                python-setuptools,
-               python3-all (>= 3.1.2-7~),
-               python3-json-pointer,
+               python3-all,
                python3-setuptools
+Build-Depends-Indep: python-json-pointer (>= 1.9),
+                     python3-json-pointer (>= 1.9),
 Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-json-patch.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-json-patch.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-json-patch?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-json-patch -b debian/newton
 Homepage: https://github.com/stefankoegl/python-json-patch
 
 Package: python-jsonpatch
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Breaks: python-json-patch (<< 1.3-3~)
 Replaces: python-json-patch (<< 1.3-3~)
-Depends: python-json-pointer, ${misc:Depends}, ${python:Depends}
-Description: library to apply JSON patches - python 2.x
+Depends: python-json-pointer (>= 1.9), ${misc:Depends}, ${python:Depends}
+Description: library to apply JSON patches - Python 2.x
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.
  .
@@ -46,12 +46,11 @@
 
 Package: python3-jsonpatch
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Breaks: python3-json-patch (<< 1.3-3~)
 Replaces: python3-json-patch (<< 1.3-3~)
-Depends: python3-json-pointer, ${misc:Depends}, ${python3:Depends}
+Depends: python3-json-pointer (>= 1.9), ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
-Description: library to apply JSON patches - python 3.x
+Description: library to apply JSON patches - Python 3.x
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.
  .
@@ -75,9 +74,8 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-jsonpatch, ${misc:Depends}
-Description: library to apply JSON patches - python 2.x transitional package
+Description: library to apply JSON patches - Python 2.x transitional package
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.
  .
@@ -103,7 +101,7 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python3-jsonpatch, ${misc:Depends}
-Description: library to apply JSON patches - python 3.x transitional package
+Description: library to apply JSON patches - Python 3.x transitional package
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stefankoegl/python-json-patch.git
+UPSTREAM_GIT := https://github.com/stefankoegl/python-json-patch.git
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -16,11 +16,11 @@
 	done
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-jsonpatch; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-jsonpatch; \
 	done
@@ -29,6 +29,9 @@
 	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python3-jsonpatch/usr/bin/python3-jsondiff
 	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsonpatch $(CURDIR)/debian/python3-jsonpatch/usr/bin/python3-jsonpatch
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build

## python-json-patch 1.19+really1.16

=== debian/changelog ===
python-json-patch (1.19+really1.16-1fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Oct 2017 16:10:15 -0400

python-json-patch (1.19+really1.16-1) unstable; urgency=medium

  [ Geoffrey Thomas ]
  * Change maintainer from PKG OpenStack to Debian Python Modules Team,
    and update packaging to match DPMT team practice, including
    switching to pybuild.
  * Add myself to Uploaders and remove old Uploaders.
  * New upstream release.
    - Supports python 3.6 builds (Closes: #867626).
    - Use version number 1.19+really1.16, since the previous version
      1.19 was actually 1.10 (Closes: #839779).
  * Drop transitional packages python-json-patch and python3-json-patch,
    because the transition predates oldstable (and in fact the old names
    were never in a stable release).

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.
  * Removing unprefixed docs debhelper file, it's just a double of
    python-jsonpatch.docs

 -- Geoffrey Thomas <geofft@twosigma.com>  Thu, 31 Aug 2017 17:54:45 -0400

=== debian/control ===
Source: python-json-patch
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Geoffrey Thomas <geofft@twosigma.com>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-json-pointer (>= 1.9),
                     python3-json-pointer (>= 1.9),
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-json-patch.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-json-patch.git
Homepage: https://github.com/stefankoegl/python-json-patch

Package: python-jsonpatch
Architecture: all
Depends: python-json-pointer (>= 1.9), ${misc:Depends}, ${python:Depends}
Description: library to apply JSON patches - Python 2.x
 Python-json-patch is a Python module (a library) to apply JSON Patches
 according to the IETF draft specification.
 .
 From the IETF site:
 .
 JavaScript Object Notation (JSON) [RFC4627] is a common format for the
 exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
 Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
 modifications to resources.
 .
 JSON Patch is a format (identified by the media type "application/
 json-patch") for expressing a sequence of operations to apply to a target JSON
 document, suitable for use with the HTTP PATCH method.
 .
 This format is also potentially useful in other cases when it's necessary to
 make partial updates to a JSON document.
 .
 This package provides the Python 2.x module.

Package: python3-jsonpatch
Architecture: all
Depends: python3-json-pointer (>= 1.9), ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Description: library to apply JSON patches - Python 3.x
 Python-json-patch is a Python module (a library) to apply JSON Patches
 according to the IETF draft specification.
 .
 From the IETF site:
 .
 JavaScript Object Notation (JSON) [RFC4627] is a common format for the
 exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
 Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
 modifications to resources.
 .
 JSON Patch is a format (identified by the media type "application/
 json-patch") for expressing a sequence of operations to apply to a target JSON
 document, suitable for use with the HTTP PATCH method.
 .
 This format is also potentially useful in other cases when it's necessary to
 make partial updates to a JSON document.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jsonpatch
export PYBUILD_BEFORE_TEST=cp {dir}/tests.py {dir}/tests.js {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/tests.py {build_dir}/tests.js

%:
	dh $@ --buildsystem=pybuild --with python2,python3

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/python-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python-jsonpatch/usr/bin/python2-jsondiff
	mv $(CURDIR)/debian/python-jsonpatch/usr/bin/jsonpatch $(CURDIR)/debian/python-jsonpatch/usr/bin/python2-jsonpatch
	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python3-jsonpatch/usr/bin/python3-jsondiff
	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsonpatch $(CURDIR)/debian/python3-jsonpatch/usr/bin/python3-jsonpatch

## python-json-patch 1.21

=== debian/changelog ===
python-json-patch (1.21-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Standards-Version is now 4.1.3.
  * Copy tests.js from debian/tests.js and embedd the file there, since the
    file is only available from the upstream git repository, not on the pypi
    tarball.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 21:11:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,31 @@
 Source: python-json-patch
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
-           Geoffrey Thomas <geofft@twosigma.com>
-Build-Depends: debhelper (>= 10),
-               dh-python,
-               python-all,
-               python-setuptools,
-               python3-all,
-               python3-setuptools
-Build-Depends-Indep: python-json-pointer (>= 1.9),
-                     python3-json-pointer (>= 1.9),
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-json-patch.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-json-patch.git
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders:
+ Thomas Goirand <zigo@debian.org>,
+ Geoffrey Thomas <geofft@twosigma.com>,
+Build-Depends:
+ debhelper (>= 10),
+ dh-python,
+ python-all,
+ python-setuptools,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python-json-pointer (>= 1.9),
+ python3-json-pointer (>= 1.9),
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-json-patch.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-json-patch
 Homepage: https://github.com/stefankoegl/python-json-patch
 
 Package: python-jsonpatch
 Architecture: all
-Depends: python-json-pointer (>= 1.9), ${misc:Depends}, ${python:Depends}
+Depends:
+ python-json-pointer (>= 1.9),
+ ${misc:Depends},
+ ${python:Depends},
 Description: library to apply JSON patches - Python 2.x
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.
@@ -43,8 +48,12 @@
 
 Package: python3-jsonpatch
 Architecture: all
-Depends: python3-json-pointer (>= 1.9), ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}
+Depends:
+ python3-json-pointer (>= 1.9),
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ ${python3:Recommends},
 Description: library to apply JSON patches - Python 3.x
  Python-json-patch is a Python module (a library) to apply JSON Patches
  according to the IETF draft specification.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=jsonpatch
-export PYBUILD_BEFORE_TEST=cp {dir}/tests.py {dir}/tests.js {build_dir}
+export PYBUILD_BEFORE_TEST=cp {dir}/tests.py {dir}/debian/tests.js {build_dir}
 export PYBUILD_AFTER_TEST=rm {build_dir}/tests.py {build_dir}/tests.js
 
 %:

## python-json-patch 1.23

=== debian/changelog ===
python-json-patch (1.23-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Manage /usr/bin/jsondiff with update-alternatives to avoid clash with
    python3-jsondiff (Closes: #926250).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 15:01:23 +0200

python-json-patch (1.23-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:18:54 +0200

python-json-patch (1.23-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Removing redundant Priority field in binary package

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Removing unprefixed docs debhelper file, it's just a double of
    python-jsonpatch.docs

  [ Thomas Goirand ]
  * New upstream release.
  * Updating standards version to 4.3.0.
  * Removed inactive maintainers.
  * Removed python3-json-patch transitional package after Buster release.
  * Removed Breaks+Replaces: python3-json-patch after Buster release.
  * Removed Python 2 support.
  * Fixed d/copyright ordering and years.
  * Run unit tests from installed Python package.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 10:22:16 +0100

=== debian/control ===
Source: python-json-patch
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-json-pointer,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-json-patch
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-json-patch.git
Homepage: https://github.com/stefankoegl/python-json-patch

Package: python3-jsonpatch
Architecture: all
Depends:
 python3-json-pointer,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: library to apply JSON patches - Python 3.x
 Python-json-patch is a Python module (a library) to apply JSON Patches
 according to the IETF draft specification.
 .
 From the IETF site:
 .
 JavaScript Object Notation (JSON) [RFC4627] is a common format for the
 exchange and storage of structured data.  HTTP PATCH [RFC5789] extends the
 Hypertext Transfer Protocol (HTTP) [RFC2616] with a method to perform partial
 modifications to resources.
 .
 JSON Patch is a format (identified by the media type "application/
 json-patch") for expressing a sequence of operations to apply to a target JSON
 document, suitable for use with the HTTP PATCH method.
 .
 This format is also potentially useful in other cases when it's necessary to
 make partial updates to a JSON document.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/stefankoegl/python-json-patch.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers ./tests.py ; \
	done

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsonpatch-jsondiff

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-json-patch 1.25

=== debian/changelog ===
python-json-patch (1.25-3) unstable; urgency=medium

  * Manage /usr/bin/jsondiff with update-alternatives to avoid conflicts with
    python3-jsondiff (Closes: #926250).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2020 10:59:06 +0200

python-json-patch (1.25-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:58:58 +0200

python-json-patch (1.25-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 09:50:45 +0200

## python-json-patch 1.32

=== debian/changelog ===
python-json-patch (1.32-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 12:31:04 +0200

python-json-patch (1.32-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 09:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-json-pointer,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-json-patch
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-json-patch.git
 Homepage: https://github.com/stefankoegl/python-json-patch

=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,14 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
+override_dh_install:
+	dh_install
+	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python3-jsonpatch/usr/bin/json-patch-jsondiff
+
 override_dh_auto_test:
 	set -e ; for pyvers in $(PYTHON3S); do \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers ./tests.py ; \
 	done
 
-override_dh_install:
-	dh_install
-	mv $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsondiff $(CURDIR)/debian/python3-jsonpatch/usr/bin/jsonpatch-jsondiff
-
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://github.com/stefankoegl/python-json-patch/tags .*/v(\d[\d\.]+)\.tar\.gz

## python-json-patch 1.33

=== debian/changelog ===
python-json-patch (1.33-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 13:32:02 +0100

python-json-patch (1.32-6) unstable; urgency=medium

  * Cleans better (Closes: #1047826).

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Feb 2026 14:59:29 +0100

python-json-patch (1.32-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090516).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:32:11 +0100

python-json-patch (1.32-4) unstable; urgency=medium

  * Add Avoid_usage_of_unittest.makeSuite_removed_from_Python_3.13.patch
    (Closes: #1082223).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 09:44:40 +0200

python-json-patch (1.32-3) unstable; urgency=medium

  * Cleans better (Closes: #1047826).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:10:58 +0200
